## libplacebo 0.4.0

=== meson_options.txt ===
# Optional components
option('vulkan', type: 'combo', choices: ['auto', 'true', 'false'],
       description: 'Vulkan-based renderer')

option('shaderc', type: 'combo', choices: ['auto', 'true', 'false'],
       description: 'libshaderc SPIR-V compiler')

# Miscellaneous
option('tests', type: 'boolean', value: false,
       description: 'Enable building the test cases')

option('bench', type: 'boolean', value: false,
       description: 'Enable building benchmarks (`meson test benchmark`)')

=== debian/changelog ===
libplacebo (0.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 01 Mar 2018 11:16:00 +0100

libplacebo (0.4.0-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump: libplacebo3 -> libplacebo4
  * debian/copyright:
    - Update file path
    - Add copyright info for bstr.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 19 Feb 2018 19:57:18 +0100

libplacebo (0.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 01 Feb 2018 18:36:39 +0100

libplacebo (0.3.0-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump: libplacebo2 -> libplacebo3.
  * debian/copyright: Update copyright info.
  * debian/libplacebo3.symbols: Add new symbols.
  * debian/patches: Drop backported patches.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 26 Jan 2018 21:15:07 +0100

libplacebo (0.2.0-2) unstable; urgency=medium

  * debian/patches:
    - Do not require git to build.
    - Update some vulkan parts.
  * debian/control:
    - Bump B-D on libvulkan-dev to 1.0.42.
    - Drop git B-D.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 06 Jan 2018 15:10:13 +0100

libplacebo (0.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #886014)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 04 Jan 2018 21:09:04 +0100

=== debian/control ===
Source: libplacebo
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 11),
 meson,
 ninja-build,
 libvulkan-dev (>= 1.0.42)
Standards-Version: 4.1.3
Homepage: https://github.com/haasn/libplacebo
Vcs-Git: https://salsa.debian.org/multimedia-team/libplacebo.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libplacebo

Package: libplacebo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libplacebo4 (= ${binary:Version})
Description: GPU-accelerated video/image rendering primitives (development files)
 The library provides useful GPU-accelerated image processing primitives based
 on GLSL. It includes shader routines for decoding and transforming colors,
 tone mapping, dithering, and for various algorithms that sample from images,
 such as debanding and scaling.
 .
 This package contains the development files.

Package: libplacebo4
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: GPU-accelerated video/image rendering primitives (shared library)
 The library provides useful GPU-accelerated image processing primitives based
 on GLSL. It includes shader routines for decoding and transforming colors,
 tone mapping, dithering, and for various algorithms that sample from images,
 such as debanding and scaling.
 .
 This package contains the shared library.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libplacebo-$1.tar.gz%" \
https://github.com/haasn/libplacebo/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## libplacebo 0.5.0

=== meson_options.txt ===
--- 
+++ 
@@ -5,6 +5,9 @@
 option('shaderc', type: 'combo', choices: ['auto', 'true', 'false'],
        description: 'libshaderc SPIR-V compiler')
 
+option('lcms', type: 'combo', choices: ['auto', 'true', 'false'],
+       description: 'LittleCMS 2 support')
+
 # Miscellaneous
 option('tests', type: 'boolean', value: false,
        description: 'Enable building the test cases')

=== debian/changelog ===
libplacebo (0.5.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Add liblcms2-dev and libvulkan-dev to libplacebo-dev's
    Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Jun 2018 19:12:54 +0200

libplacebo (0.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump SONAME: libplacebo4 -> libplacebo5
  * debian/libplacebo5.symbols: Add new symbols.
  * debian/control: Add liblcms2-dev and pkg-config to Build-Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 11 Jun 2018 22:11:31 +0200

libplacebo (0.4.0-3) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * debian/source/lintian-overrides: Removed, lintian was fixed.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 May 2018 13:31:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: libplacebo
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper (>= 11),
  meson,
  ninja-build,
+ pkg-config,
+ liblcms2-dev,
  libvulkan-dev (>= 1.0.42)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/haasn/libplacebo
 Vcs-Git: https://salsa.debian.org/multimedia-team/libplacebo.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libplacebo
@@ -19,7 +21,9 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libplacebo4 (= ${binary:Version})
+ libplacebo5 (= ${binary:Version}),
+ liblcms2-dev,
+ libvulkan-dev (>= 1.0.42)
 Description: GPU-accelerated video/image rendering primitives (development files)
  The library provides useful GPU-accelerated image processing primitives based
  on GLSL. It includes shader routines for decoding and transforming colors,
@@ -28,7 +32,7 @@
  .
  This package contains the development files.
 
-Package: libplacebo4
+Package: libplacebo5
 Architecture: any
 Multi-Arch: same
 Depends:

## libplacebo 1.7.0

=== meson_options.txt ===
# Optional components
option('vulkan', type: 'feature', value: 'auto',
       description: 'Vulkan-based renderer')

option('glslang', type: 'feature', value: 'auto',
       description: 'glslang SPIR-V compiler')

option('shaderc', type: 'feature', value: 'auto',
       description: 'libshaderc SPIR-V compiler')

option('lcms', type: 'feature', value: 'auto',
       description: 'LittleCMS 2 support')

# Miscellaneous
option('tests', type: 'boolean', value: false,
       description: 'Enable building the test cases')

option('bench', type: 'boolean', value: false,
       description: 'Enable building benchmarks (`meson test benchmark`)')

=== debian/changelog ===
libplacebo (1.7.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/:
    - Update to new upstream location.
    - Bump debhelper compat to 12.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 04 Jan 2019 15:31:37 +0100

libplacebo (1.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump SONAME: libplacebo6 -> libplacebo7.
  * debian/patches: Remove obsolete patches.
  * debian/copyright: Update paths.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 20 Dec 2018 22:33:36 +0100

libplacebo (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump SONAME: libplacebo5 -> libplacebo6.
  * debian/control:
    - Bump Standards-Version.
    - Bump meson B-D.
    - B-D on glslang-dev.
  * debian/libsymbols6.symbols: Add new symbols.
  * debian/patches: Add upstream's linker script.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 30 Sep 2018 16:07:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 11),
- meson,
+ debhelper (>= 12),
+ meson (>= 0.47),
  ninja-build,
  pkg-config,
  liblcms2-dev,
- libvulkan-dev (>= 1.0.42)
-Standards-Version: 4.1.4
-Homepage: https://github.com/haasn/libplacebo
+ libvulkan-dev (>= 1.0.42),
+ glslang-dev
+Standards-Version: 4.3.0
+Homepage: https://code.videolan.org/videolan/libplacebo
 Vcs-Git: https://salsa.debian.org/multimedia-team/libplacebo.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libplacebo
 
@@ -21,7 +22,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libplacebo5 (= ${binary:Version}),
+ libplacebo7 (= ${binary:Version}),
  liblcms2-dev,
  libvulkan-dev (>= 1.0.42)
 Description: GPU-accelerated video/image rendering primitives (development files)
@@ -32,7 +33,7 @@
  .
  This package contains the development files.
 
-Package: libplacebo5
+Package: libplacebo7
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dtests=true

## libplacebo 1.18.0

=== debian/changelog ===
libplacebo (1.18.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump SONAME: libplacebo7 -> libplacebo18.
  * debian/copyright:
    - Update years.
    - Update demos paragraph.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 25 Feb 2019 21:08:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 12),
  meson (>= 0.47),
  ninja-build,
  pkg-config,
@@ -22,7 +22,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libplacebo7 (= ${binary:Version}),
+ libplacebo18 (= ${binary:Version}),
  liblcms2-dev,
  libvulkan-dev (>= 1.0.42)
 Description: GPU-accelerated video/image rendering primitives (development files)
@@ -33,7 +33,7 @@
  .
  This package contains the development files.
 
-Package: libplacebo7
+Package: libplacebo18
 Architecture: any
 Multi-Arch: same
 Depends:

## libplacebo 2.72.0

=== debian/changelog ===
libplacebo (2.72.0-2) unstable; urgency=medium

  * Upload to unstable
  * debian/patches: Disable flaky test

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 23 Aug 2020 18:03:50 +0200

libplacebo (2.72.0-1) experimental; urgency=medium

  * New upstream version 2.72.0
  * SONAME bump: libplacebo29 -> libplacebo72
  * debian/: No longer need to repack since logo with unclear license was
    removed
  * debian/control: Add new B-Ds: libepoxy-dev, python3, python3-setuptools,
    python3-mako
  * debian/rules:
    - Increase test timeout for new tests
    - Remove -Wl,--as-needed as it's no longer required

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 15 Jun 2020 12:18:27 +0200

libplacebo (1.29.1+dfsg1-2) unstable; urgency=medium

  * Upload to unstable (Closes: #953590)
  * debian/control: Bump debhelper compat to 13

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 01 Jun 2020 15:55:20 +0200

libplacebo (1.29.1+dfsg1-1) experimental; urgency=medium

  * New upstream release
    - Link spirv-tools (Closes: #955431)
  * Bump SONAME: libplacebo21 -> libplacebo29
  * debian/control:
    - Bump Standards-Version
    - Bump meson dependency
    - Add spirv-tools to Build-Depends

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 12 Apr 2020 10:41:24 +0200

libplacebo (1.21.0+dfsg1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0

  [ Sebastian Ramacher ]
  * New upstream release
  * Bump SONAME: libplacebo18 -> libplacebo21
  * debian/control:
    - Bump Standards-Version
    - Set RRR: no
  * debian/copyright: Remove demos/vulkanlogo.png with unclear license

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 10 Oct 2019 21:58:42 +0200

## libplacebo 2.72.2

=== meson_options.txt ===
--- 
+++ 
@@ -1,6 +1,15 @@
 # Optional components
 option('vulkan', type: 'feature', value: 'auto',
        description: 'Vulkan-based renderer')
+
+option('vulkan-link', type: 'boolean', value: true,
+       description: 'Link directly againt vkGetInstanceProcAddr from libvulkan.so')
+
+option('vulkan-registry', type: 'string', value: '',
+       description: 'Path to vulkan XML registry (for code generation)')
+
+option('opengl', type: 'feature', value: 'auto',
+       description: 'OpenGL-based renderer')
 
 option('glslang', type: 'feature', value: 'auto',
        description: 'glslang SPIR-V compiler')

=== debian/changelog ===
libplacebo (2.72.2-1) unstable; urgency=medium

  * New upstream release
  * debian/libplacebo72.symbols: Add new symbols

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 13 Nov 2020 23:13:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,23 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- meson (>= 0.47),
+ debhelper-compat (= 13),
+ meson (>= 0.49),
  ninja-build,
  pkg-config,
+ libepoxy-dev,
  liblcms2-dev,
  libvulkan-dev (>= 1.0.42),
- glslang-dev
-Standards-Version: 4.3.0
+ glslang-dev,
+ python3,
+ python3-setuptools,
+ python3-mako,
+ spirv-tools
+Standards-Version: 4.5.0
 Homepage: https://code.videolan.org/videolan/libplacebo
 Vcs-Git: https://salsa.debian.org/multimedia-team/libplacebo.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libplacebo
+Rules-Requires-Root: no
 
 Package: libplacebo-dev
 Section: libdevel
@@ -22,7 +28,8 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libplacebo18 (= ${binary:Version}),
+ libplacebo72 (= ${binary:Version}),
+ libepoxy-dev,
  liblcms2-dev,
  libvulkan-dev (>= 1.0.42)
 Description: GPU-accelerated video/image rendering primitives (development files)
@@ -33,7 +40,7 @@
  .
  This package contains the development files.
 
-Package: libplacebo18
+Package: libplacebo72
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dtests=true

override_dh_auto_test:
	dh_auto_test -- -t 100

## libplacebo 3.120.3

=== debian/changelog ===
libplacebo (3.120.3-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 11 Aug 2021 17:26:38 -0400

libplacebo (3.120.3-1) experimental; urgency=medium

  * New upstream version release
  * Bump SONAME: libplacebo104 -> libplacebo120
  * debian/copyright:
    - Remove unused paragraph
    - Update paths

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 18 Jun 2021 00:19:32 +0200

libplacebo (3.104.0-1) experimental; urgency=medium

  * New upstream release
  * SONAME bump: libplacebo72 -> libplacebe104
  * debian/control:
    - Add libavutil-dev to Build-Depends
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 06 Jan 2021 12:44:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: libplacebo
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  meson (>= 0.49),
  ninja-build,
  pkg-config,
+ libavutil-dev,
  libepoxy-dev,
  liblcms2-dev,
  libvulkan-dev (>= 1.0.42),
@@ -16,7 +18,7 @@
  python3-setuptools,
  python3-mako,
  spirv-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://code.videolan.org/videolan/libplacebo
 Vcs-Git: https://salsa.debian.org/multimedia-team/libplacebo.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libplacebo
@@ -28,7 +30,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libplacebo72 (= ${binary:Version}),
+ libplacebo120 (= ${binary:Version}),
  libepoxy-dev,
  liblcms2-dev,
  libvulkan-dev (>= 1.0.42)
@@ -40,7 +42,7 @@
  .
  This package contains the development files.
 
-Package: libplacebo72
+Package: libplacebo120
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 %:
 	dh $@
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_configure:
 	dh_auto_configure -- -Dtests=true

## libplacebo 4.192.1

=== meson_options.txt ===
--- 
+++ 
@@ -3,13 +3,16 @@
        description: 'Vulkan-based renderer')
 
 option('vulkan-link', type: 'boolean', value: true,
-       description: 'Link directly againt vkGetInstanceProcAddr from libvulkan.so')
+       description: 'Link directly against vkGetInstanceProcAddr from libvulkan.so')
 
 option('vulkan-registry', type: 'string', value: '',
        description: 'Path to vulkan XML registry (for code generation)')
 
 option('opengl', type: 'feature', value: 'auto',
        description: 'OpenGL-based renderer')
+
+option('d3d11', type: 'feature', value: 'auto',
+       description: 'Direct3D 11 based renderer')
 
 option('glslang', type: 'feature', value: 'auto',
        description: 'glslang SPIR-V compiler')
@@ -21,8 +24,17 @@
        description: 'LittleCMS 2 support')
 
 # Miscellaneous
+option('demos', type: 'boolean', value: true,
+       description: 'Enable building (and installing) the demo programs')
+
 option('tests', type: 'boolean', value: false,
        description: 'Enable building the test cases')
 
 option('bench', type: 'boolean', value: false,
        description: 'Enable building benchmarks (`meson test benchmark`)')
+
+option('fuzz', type: 'boolean', value: false,
+       description: 'Enable building fuzzer binaries (`CC=afl-cc`)')
+
+option('unwind', type: 'feature', value: 'auto',
+       description: 'Enable linking against libunwind for printing stack traces caused by runtime errors')

=== debian/changelog ===
libplacebo (4.192.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Remove constraints unnecessary since buster

  [ Sebastian Ramacher ]
  * New upstream version 4.192.1
  * debian/rules: Revert "Link libatomic on armel and mipsel"
    The new upstream release now links libatomic if necessary.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 07 Feb 2022 22:04:14 +0100

libplacebo (4.192.0-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control: Fix build-dependencies on libav* and mark them as
    <!nocheck>

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 02 Feb 2022 16:24:50 +0100

libplacebo (4.192.0-1) experimental; urgency=medium

  * New upstream version 4.192.0
  * SONAME bump: libplacebo157 -> libplacebo192
  * debian/rules: Disable build of demos
  * debian/copyright: Update paths after upstream file renaming

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 22 Jan 2022 00:10:07 +0100

libplacebo (4.157.0-3) unstable; urgency=medium

  * debian/rules: Link libatomic on armel and mipsel

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 16 Jan 2022 00:07:56 +0100

libplacebo (4.157.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 15 Jan 2022 19:00:33 +0100

libplacebo (4.157.0-1) experimental; urgency=medium

  * New upstream release
  * Bump SONAME: libplacebo120 -> libplacebo157
  * debian/control: Bump Standards-Version
  * debian/patches: Removed, included upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 10 Sep 2021 22:30:31 +0200

libplacebo (3.120.3-2) unstable; urgency=medium

  * Upload to unstable
  * debian/patches: Apply upstream patch to fix tests on s390x

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Aug 2021 15:25:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: libplacebo
 Section: libs
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- meson (>= 0.49),
+ meson,
  ninja-build,
  pkg-config,
- libavutil-dev,
+ libavcodec-dev <!nocheck>,
+ libavformat-dev <!nocheck>,
+ libavutil-dev <!nocheck>,
  libepoxy-dev,
  liblcms2-dev,
- libvulkan-dev (>= 1.0.42),
+ libvulkan-dev,
  glslang-dev,
  python3,
  python3-setuptools,
  python3-mako,
  spirv-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://code.videolan.org/videolan/libplacebo
 Vcs-Git: https://salsa.debian.org/multimedia-team/libplacebo.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libplacebo
@@ -30,10 +31,10 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libplacebo120 (= ${binary:Version}),
+ libplacebo192 (= ${binary:Version}),
  libepoxy-dev,
  liblcms2-dev,
- libvulkan-dev (>= 1.0.42)
+ libvulkan-dev
 Description: GPU-accelerated video/image rendering primitives (development files)
  The library provides useful GPU-accelerated image processing primitives based
  on GLSL. It includes shader routines for decoding and transforming colors,
@@ -42,7 +43,7 @@
  .
  This package contains the development files.
 
-Package: libplacebo120
+Package: libplacebo192
 Architecture: any
 Multi-Arch: same
 Depends:

## libplacebo 4.208.0

=== meson_options.txt ===
--- 
+++ 
@@ -38,3 +38,6 @@
 
 option('unwind', type: 'feature', value: 'auto',
        description: 'Enable linking against libunwind for printing stack traces caused by runtime errors')
+
+option('debug-abort', type: 'boolean', value: false,
+       description: 'abort() on most runtime errors (only for debugging purposes)')

=== debian/changelog ===
libplacebo (4.208.0-3) unstable; urgency=medium

  * debian/patches: Apply upstream fix for FTBFS with latest glslang (Closes:
    #1025363)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 03 Dec 2022 12:49:05 +0100

libplacebo (4.208.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 20 Sep 2022 00:50:00 +0200

libplacebo (4.208.0-1) experimental; urgency=medium

  * New upstream version 4.208.0
  * SONAME bump: libplacebo19 -> libplacebo208
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 17 Aug 2022 21:45:37 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-setuptools,
  python3-mako,
  spirv-tools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://code.videolan.org/videolan/libplacebo
 Vcs-Git: https://salsa.debian.org/multimedia-team/libplacebo.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libplacebo
@@ -31,7 +31,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libplacebo192 (= ${binary:Version}),
+ libplacebo208 (= ${binary:Version}),
  libepoxy-dev,
  liblcms2-dev,
  libvulkan-dev
@@ -43,7 +43,7 @@
  .
  This package contains the development files.
 
-Package: libplacebo192
+Package: libplacebo208
 Architecture: any
 Multi-Arch: same
 Depends:

## libplacebo 6.292.0

=== debian/changelog ===
libplacebo (6.292.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 01 Aug 2023 00:13:50 +0200

libplacebo (6.292.0-1) experimental; urgency=medium

  * New upstream version 6.292.0
    - Fix build with recent vulkan (Closes: #1042190)
  * SONAME bump: libplacebo229 -> libplacebo292

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 27 Jul 2023 00:57:02 +0200

libplacebo (5.229.2-1) experimental; urgency=medium

  * New upstream version 5.229.2

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 05 Feb 2023 20:57:27 +0100

libplacebo (5.229.1-1) experimental; urgency=medium

  * New upstream version 5.229.1
  * SONAME bump: libplacebo208 -> libplacebo229
  * debian/control:
    - Bump Standards-Version
    - Update build dependencies
  * debian/patches: Remove patches included upstream
  * debian/copyright: Update for 5.229

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 29 Dec 2022 15:20:45 +0100

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
  libavcodec-dev <!nocheck>,
  libavformat-dev <!nocheck>,
  libavutil-dev <!nocheck>,
- libepoxy-dev,
  liblcms2-dev,
  libvulkan-dev,
  glslang-dev,
  python3,
+ python3-glad (>= 2),
+ python3-jinja2,
  python3-setuptools,
- python3-mako,
  spirv-tools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://code.videolan.org/videolan/libplacebo
 Vcs-Git: https://salsa.debian.org/multimedia-team/libplacebo.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libplacebo
@@ -31,8 +31,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libplacebo208 (= ${binary:Version}),
- libepoxy-dev,
+ libplacebo292 (= ${binary:Version}),
  liblcms2-dev,
  libvulkan-dev
 Description: GPU-accelerated video/image rendering primitives (development files)
@@ -43,7 +42,7 @@
  .
  This package contains the development files.
 
-Package: libplacebo208
+Package: libplacebo292
 Architecture: any
 Multi-Arch: same
 Depends:

## libplacebo 6.338.1

=== debian/changelog ===
libplacebo (6.338.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 05 Nov 2023 21:58:36 +0100

libplacebo (6.338.1-1) experimental; urgency=medium

  * New upstream version 6.338.1
  * SONAME bump: libplacebo292 -> libplacebo338
  * debian/copyright: Update info for siphash
  * debian/control: Enable libxxhash

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 21 Oct 2023 22:35:59 +0200

libplacebo (6.292.1-1) unstable; urgency=medium

  * New upstream version 6.292.1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 23 Aug 2023 00:09:09 +0200

## libplacebo 6.338.2

=== debian/changelog ===
libplacebo (6.338.2-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 07 Jul 2024 10:56:28 -0700

libplacebo (6.338.2-2) unstable; urgency=medium

  * debian/patches: Don't hard-require glslang internal dependencies (Closes:
    #1064711)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 28 Feb 2024 23:12:07 +0100

libplacebo (6.338.2-1) unstable; urgency=medium

  * New upstream version 6.338.2

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Jan 2024 22:44:51 +0100

=== debian/control ===
Source: libplacebo
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends: debhelper-compat (= 13),
               glslang-dev,
               libavcodec-dev <!nocheck>,
               libavformat-dev <!nocheck>,
               libavutil-dev <!nocheck>,
               liblcms2-dev,
               libvulkan-dev,
               libxxhash-dev,
               meson,
               ninja-build,
               pkg-config,
               python3,
               python3-glad (>= 2),
               python3-jinja2,
               python3-setuptools,
               spirv-tools
Standards-Version: 4.6.2
Homepage: https://code.videolan.org/videolan/libplacebo
Vcs-Git: https://salsa.debian.org/multimedia-team/libplacebo.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libplacebo
Rules-Requires-Root: no

Package: libplacebo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblcms2-dev,
         libplacebo338 (= ${binary:Version}),
         libvulkan-dev,
         libxxhash-dev,
         ${misc:Depends}
Description: GPU-accelerated video/image rendering primitives (development files)
 The library provides useful GPU-accelerated image processing primitives based
 on GLSL. It includes shader routines for decoding and transforming colors,
 tone mapping, dithering, and for various algorithms that sample from images,
 such as debanding and scaling.
 .
 This package contains the development files.

Package: libplacebo338
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GPU-accelerated video/image rendering primitives (shared library)
 The library provides useful GPU-accelerated image processing primitives based
 on GLSL. It includes shader routines for decoding and transforming colors,
 tone mapping, dithering, and for various algorithms that sample from images,
 such as debanding and scaling.
 .
 This package contains the shared library.

## libplacebo 7.349.0

=== debian/changelog ===
libplacebo (7.349.0-3) unstable; urgency=medium

  * debian/patches: Apply upstream patch to fix build with recent glslang
    (Closes: #1086285)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 10 Dec 2024 00:16:45 +0100

libplacebo (7.349.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Jul 2024 18:46:47 +0200

libplacebo (7.349.0-1) experimental; urgency=medium

  * New upstream version 7.349.0
  * SONAME bump: libplacebo338 -> libplacebo349
  * debian/control: Bump Standards-Version
  * debian/copyright: Update copyright years
  * debian/patches: Remove patches included upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 14 Jul 2024 21:25:13 +0200

=== debian/control ===
Source: libplacebo
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 meson,
 ninja-build,
 pkgconf,
 libavcodec-dev <!nocheck>,
 libavformat-dev <!nocheck>,
 libavutil-dev <!nocheck>,
 liblcms2-dev,
 libvulkan-dev,
 libxxhash-dev,
 glslang-dev,
 python3,
 python3-glad (>= 2),
 python3-jinja2,
 python3-setuptools,
 spirv-tools
Standards-Version: 4.7.0
Homepage: https://code.videolan.org/videolan/libplacebo
Vcs-Git: https://salsa.debian.org/multimedia-team/libplacebo.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libplacebo
Rules-Requires-Root: no

Package: libplacebo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libplacebo349 (= ${binary:Version}),
 liblcms2-dev,
 libvulkan-dev,
 libxxhash-dev
Description: GPU-accelerated video/image rendering primitives (development files)
 The library provides useful GPU-accelerated image processing primitives based
 on GLSL. It includes shader routines for decoding and transforming colors,
 tone mapping, dithering, and for various algorithms that sample from images,
 such as debanding and scaling.
 .
 This package contains the development files.

Package: libplacebo349
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: GPU-accelerated video/image rendering primitives (shared library)
 The library provides useful GPU-accelerated image processing primitives based
 on GLSL. It includes shader routines for decoding and transforming colors,
 tone mapping, dithering, and for various algorithms that sample from images,
 such as debanding and scaling.
 .
 This package contains the shared library.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dtests=true -Ddemos=false

override_dh_auto_test:
	dh_auto_test -- -t 100

=== debian/watch ===
version=4
opts="uversionmangle=s/-rc/~rc/" \
https://code.videolan.org/videolan/libplacebo/-/tags .*/libplacebo-v@ANY_VERSION@\.tar\.gz

## libplacebo 7.351.0

=== meson_options.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 option('vulkan', type: 'feature', value: 'auto',
        description: 'Vulkan-based renderer')
 
-option('vulkan-link', type: 'boolean', value: true,
+option('vk-proc-addr', type: 'feature', value: 'auto',
        description: 'Link directly against vkGetInstanceProcAddr from libvulkan.so')
 
 option('vulkan-registry', type: 'string', value: '',
@@ -10,6 +10,9 @@
 
 option('opengl', type: 'feature', value: 'auto',
        description: 'OpenGL-based renderer')
+
+option('gl-proc-addr', type: 'feature', value: 'auto',
+       description: 'Enable built-in OpenGL loader (uses dlopen, dlsym...)')
 
 option('d3d11', type: 'feature', value: 'auto',
        description: 'Direct3D 11 based renderer')
@@ -22,6 +25,12 @@
 
 option('lcms', type: 'feature', value: 'auto',
        description: 'LittleCMS 2 support')
+
+option('dovi', type: 'feature', value: 'auto',
+       description: 'Dolby Vision reshaping support')
+
+option('libdovi', type: 'feature', value: 'auto',
+       description: 'libdovi support')
 
 # Miscellaneous
 option('demos', type: 'boolean', value: true,
@@ -39,5 +48,8 @@
 option('unwind', type: 'feature', value: 'auto',
        description: 'Enable linking against libunwind for printing stack traces caused by runtime errors')
 
+option('xxhash', type: 'feature', value: 'auto',
+       description: 'Use libxxhash as a faster replacement for internal siphash')
+
 option('debug-abort', type: 'boolean', value: false,
        description: 'abort() on most runtime errors (only for debugging purposes)')

=== debian/changelog ===
libplacebo (7.351.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 10 Sep 2025 19:10:52 +0200

libplacebo (7.351.0-1) experimental; urgency=medium

  * New upstream version 7.351.0
  * SONAME bump: libplacebo349 -> libplacebo351
  * debian/control: Bump Standards-Version
  * debian/patches: Apply fix for stricter type checking

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 26 Aug 2025 22:46:33 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-jinja2,
  python3-setuptools,
  spirv-tools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://code.videolan.org/videolan/libplacebo
 Vcs-Git: https://salsa.debian.org/multimedia-team/libplacebo.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libplacebo
@@ -32,7 +32,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libplacebo349 (= ${binary:Version}),
+ libplacebo351 (= ${binary:Version}),
  liblcms2-dev,
  libvulkan-dev,
  libxxhash-dev
@@ -44,7 +44,7 @@
  .
  This package contains the development files.
 
-Package: libplacebo349
+Package: libplacebo351
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/watch ===
Version: 5

Source: https://code.videolan.org/videolan/libplacebo
Mode: gitlab
Matching-Pattern: @STABLE_VERSION@
Uversion-Mangle: s/v//
Pgp-Mode: none
Filename-Mangle: auto

## libplacebo 7.360.0

=== debian/changelog ===
libplacebo (7.360.0-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate Python dependencies run during built with :native.
    (Closes: #1124530)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 16 Feb 2026 00:18:05 +0100

libplacebo (7.360.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 16 Feb 2026 00:13:14 +0100

libplacebo (7.360.0-1) experimental; urgency=medium

  * New upstream version 7.360.0
  * SONAME bump: libplacebo351 -> libplacebo360
  * debian/control:
    - Drop RRR: no
    - Drop Priority: optional
    - Bump Standards-Version
  * debian/patches: Remove patches from upstream
  * debian/copyright: Bump copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Feb 2026 18:53:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libplacebo
 Section: libs
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
@@ -15,16 +14,15 @@
  libvulkan-dev,
  libxxhash-dev,
  glslang-dev,
- python3,
- python3-glad (>= 2),
- python3-jinja2,
+ python3:native,
+ python3-glad:native (>= 2),
+ python3-jinja2:native,
  python3-setuptools,
  spirv-tools
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://code.videolan.org/videolan/libplacebo
 Vcs-Git: https://salsa.debian.org/multimedia-team/libplacebo.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libplacebo
-Rules-Requires-Root: no
 
 Package: libplacebo-dev
 Section: libdevel
@@ -32,7 +30,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libplacebo351 (= ${binary:Version}),
+ libplacebo360 (= ${binary:Version}),
  liblcms2-dev,
  libvulkan-dev,
  libxxhash-dev
@@ -44,7 +42,7 @@
  .
  This package contains the development files.
 
-Package: libplacebo351
+Package: libplacebo360
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/watch ===
Version: 5

Template: GitLab
Dist: https://code.videolan.org/videolan/libplacebo
